gr::lte::sync_frequency_c_impl Class Reference

`#include <sync_frequency_c_impl.h>`

Inheritance diagram for gr::lte::sync_frequency_c_impl:
[legend]

## Public Member Functions

| sync_frequency_c_impl (boost::shared_ptr< gr::analog::sig_source_c > &sig, int fftl, std::string &name)
| ~sync_frequency_c_impl ()
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::lte::sync_frequency_c
typedef boost::shared_ptr< sync_frequency_c > | sptr
Static Public Member Functions inherited from gr::lte::sync_frequency_c
static sptr | make (boost::shared_ptr< gr::analog::sig_source_c > &sig, int fftl, std::string name="sync_frequency_c")
| Return a shared_ptr to a new instance of lte::sync_frequency_c.

## Constructor & Destructor Documentation

## sync_frequency_c_impl()

gr::lte::sync_frequency_c_impl::sync_frequency_c_impl | ( | boost::shared_ptr< gr::analog::sig_source_c > & | sig,
|  | int | fftl,
|  | std::string & | name )

## ~sync_frequency_c_impl()

gr::lte::sync_frequency_c_impl::~sync_frequency_c_impl | ( |  | ) |

## Member Function Documentation

## work()

int gr::lte::sync_frequency_c_impl::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

The documentation for this class was generated from the following file:

- sync_frequency_c_impl.h